summaryrefslogtreecommitdiff
path: root/regress
diff options
context:
space:
mode:
authorDamien Miller <djm@cvs.openbsd.org>2017-06-24 06:35:25 +0000
committerDamien Miller <djm@cvs.openbsd.org>2017-06-24 06:35:25 +0000
commit303d93c72d77509af3863cafbd0113dfec303cdb (patch)
treef5b563e9da6eb04466507fc5e91dc21e75ca5f40 /regress
parent088cbd83831e88dbcf96ee9f711b7913792b095d (diff)
regress test for ExposeAuthInfo
Diffstat (limited to 'regress')
-rw-r--r--regress/usr.bin/ssh/Makefile5
-rw-r--r--regress/usr.bin/ssh/authinfo.sh17
2 files changed, 20 insertions, 2 deletions
diff --git a/regress/usr.bin/ssh/Makefile b/regress/usr.bin/ssh/Makefile
index 8a9cb58e5ca..80de10c2a2c 100644
--- a/regress/usr.bin/ssh/Makefile
+++ b/regress/usr.bin/ssh/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.94 2016/12/16 03:51:19 dtucker Exp $
+# $OpenBSD: Makefile,v 1.95 2017/06/24 06:35:24 djm Exp $
.ifndef SKIP_UNIT
SUBDIR= unittests
@@ -72,7 +72,8 @@ LTESTS= connect \
principals-command \
cert-file \
cfginclude \
- allow-deny-users
+ allow-deny-users \
+ authinfo
INTEROP_TESTS= putty-transfer putty-ciphers putty-kex conch-ciphers
#INTEROP_TESTS+=ssh-com ssh-com-client ssh-com-keygen ssh-com-sftp
diff --git a/regress/usr.bin/ssh/authinfo.sh b/regress/usr.bin/ssh/authinfo.sh
new file mode 100644
index 00000000000..e725296c90a
--- /dev/null
+++ b/regress/usr.bin/ssh/authinfo.sh
@@ -0,0 +1,17 @@
+# $OpenBSD: authinfo.sh,v 1.1 2017/06/24 06:35:24 djm Exp $
+# Placed in the Public Domain.
+
+tid="authinfo"
+
+# Ensure the environment variable doesn't leak when ExposeAuthInfo=no.
+verbose "ExposeAuthInfo=no"
+env SSH_USER_AUTH=blah ${SSH} -F $OBJ/ssh_proxy x \
+ 'test -z "$SSH_USER_AUTH"' || fail "SSH_USER_AUTH present"
+
+verbose "ExposeAuthInfo=yes"
+echo ExposeAuthInfo=yes >> $OBJ/sshd_proxy
+${SSH} -F $OBJ/ssh_proxy x \
+ 'grep ^publickey "$SSH_USER_AUTH" /dev/null >/dev/null' ||
+ fail "ssh with ExposeAuthInfo failed"
+
+# XXX test multiple auth and key contents